﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ListBoxTestProject
{
    /// <summary>
    /// Interaction logic for MainPage.xaml
    /// </summary>
    public partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Clear(object sender, RoutedEventArgs e)
        {
            this.BindedList.SelectedItems.Clear();
            this.BindedLog.Text = null;
        }

        private void HandMade_Clear(object sender, RoutedEventArgs e)
        {
            this.HandMadeList.SelectedItems.Clear();
        }



        private void ModeSingle(object sender, RoutedEventArgs e)
        {
            this.BindedList.SelectionMode = SelectionMode.Single;
        }

        private void ModeMultiple(object sender, RoutedEventArgs e)
        {
            this.BindedList.SelectionMode = SelectionMode.Multiple;
        }

        private void ModeExtended(object sender, RoutedEventArgs e)
        {
            this.BindedList.SelectionMode = SelectionMode.Extended;
        }



        private void HandMadeModeSingle(object sender, RoutedEventArgs e)
        {
            this.HandMadeList.SelectionMode = SelectionMode.Single;
        }

        private void HandMadeModeMultiple(object sender, RoutedEventArgs e)
        {
            this.HandMadeList.SelectionMode = SelectionMode.Multiple;
        }

        private void HandMadeModeExtended(object sender, RoutedEventArgs e)
        {
            this.HandMadeList.SelectionMode = SelectionMode.Extended;
        }



        private void MicrosoftModeSingle(object sender, RoutedEventArgs e)
        {
            MicrosoftList.SelectionMode = SelectionMode.Single;
        }

        private void MicrosoftModeMultiple(object sender, RoutedEventArgs e)
        {
            MicrosoftList.SelectionMode = SelectionMode.Multiple;
        }

        private void MicrosoftModeExtended(object sender, RoutedEventArgs e)
        {
            MicrosoftList.SelectionMode = SelectionMode.Extended;
        }


        private void MicrosoftClear(object sender, RoutedEventArgs e)
        {
            if (MicrosoftList.SelectionMode != SelectionMode.Single)
            {
                this.MicrosoftList.SelectedItems.Clear();
            }
        }

        private void BindedSearchOff(object sender, RoutedEventArgs e)
        {
            BindedList.IsTextSearchEnabled = false;
        }

        private void MicrosoftSearchOff(object sender, RoutedEventArgs e)
        {
            MicrosoftList.IsTextSearchEnabled = false;
        }

        private void BindedList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            BindedLog.Text = BindedLog.Text + "Selection Change \n";
        }

        private void HandMadeList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SelectedItemsOfHandMadeList.Text = HandMadeList.SelectedItems.Count.ToString();
        }

        static Random r = new Random();

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            //int itemNumber = r.Next(0, BindedList.Items.Count - 1);            
            //BindedList.SelectedItem = BindedList.Items[itemNumber];
            // BindedList.SelectedIndex = itemNumber;
            BindedList.SelectedItems.Add(BindedList.Items[0]);
            BindedList.SelectedItems.Add(BindedList.Items[BindedList.Items.Count - 1]);
        }


        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            BindedList.IsTextSearchEnabled = true;
        }
    }
}
